#include "window.h"
#include <glib.h>

static void window_show(d_window_t *w);
static void window_hide(d_window_t *w);

d_window_t*
window_new(xcb_window_t id, struct d_screen *sc)
{
    d_window_t *w;

    w = g_new(d_window_t, 1);
    w->id = id;
    w->ref = 1;
    w->sc = sc;

    /* default functions */
    w->show = window_show;
    w->hide = window_hide;

    return w;
}

void
window_ref(d_window_t *w)
{
    ++w->ref;
}

void
window_unref(d_window_t *w)
{
    if (w && --w->ref == 0) {
        g_free(w);
    }
}

static void
window_show(d_window_t *w)
{
}

static void
window_hide(d_window_t *w)
{
}
